Subject: v2.22.1 and later regression wrt display of progress indicators

From: Charles Diza <[email-masked]>
Date: Thu, 22 Aug 2019 10:20:08 -0400

By 2.22.1 at the latest (and continuing into 2.23.0) there is a problem with the display of progress indication during `git pull` (and possibly other commands, I don't know).

I'm on macOS, and this happens in both Terminal.app and iTerm2.app, on both macOS 10.13.6 and 10.14.6:  In a standard 80-column wide terminal window, cd into a git repo and do `git pull`.  The chances are high (though not 100%) that one will see this:

remote:                                                                         remote: Enumerating objects: 82, done.
remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         
[snip a large number of duplicate lines]
remote:                                                                         remote: 
remote: Counting objects: 100% (82/82), done.
remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote:                                                                         remote: Compressing objects: 100% (5/5), done.
remote: Total 111 (delta 78), reused 78 (delta 77), pack-reused 29

It used to be that there were *no* lines that appear to consist just of "remote:".  I say "appear" because most occurrences of "remote:" are followed by a bunch of spaces rather than linebreaks.

Charles